VERY DIFFICULT TO INSTALL AND CONFIGURE

Install and configure FormaLMS and DoceboCE
Post Reply
franco
Newbie
Posts: 12
Joined: Mon Dec 14, 2020 2:58 pm

VERY DIFFICULT TO INSTALL AND CONFIGURE

Post by franco »

Hello,
i do not know the reason why it is so difficult for almost everybody to install and configure this formalms. i have been on it for the past 5 days now trying to install and configure the software but all i could get is error upon error. i have tried different methods to get it done but the problem still persist.

i think something should be done on it because i am tired of all these.

please someone should help.

alfa24
Senior Boarder
Posts: 1092
Joined: Fri Nov 24, 2017 8:45 am
Version: forma.lms 1.4.2

Re: VERY DIFFICULT TO INSTALL AND CONFIGURE

Post by alfa24 »

Forma has been installed thousands of times without problems.
If you have difficulties due to your environment or your competences, please don't extend them to "almost everybody".
I'm Jasmines, the One. If you need, you can contact me.

franco
Newbie
Posts: 12
Joined: Mon Dec 14, 2020 2:58 pm

Re: VERY DIFFICULT TO INSTALL AND CONFIGURE

Post by franco »

Hello,
This is not the matter of incompetency, the installation and configure process is not well detailed.
where to place the config.php file downloaded is not actually explained.
i was asked to used php version 7.0 that php version 7.3 is not supported but i finally used php7.3.8 and now working.

i think there should be improvement in some reply given.

in a nul shell, i have installed and configure it properly without error.

thanks

User avatar
hakangur
FormaLms User
Posts: 25
Joined: Sat Jul 21, 2018 1:27 pm
Version: forma.lms 2.0

Re: VERY DIFFICULT TO INSTALL AND CONFIGURE

Post by hakangur »

I agree entirely with franco. As I have already mentioned in several posts in this forum, installation procedure needs to be clarified and where to upload the config file is one of the issues. There is no information about requirements (PHP version, required PHP plugins, etc.) on the download page for the free version.

In addition, just as franco might be exaggerating by saying "almost everybody" (there is no way of knowing this for sure), alfa24 might also be making an exaggeration by saying "thousands of times without problems" ("thousands" is a very relative figure and we will never know whether these installations went smoothly or not). Many others may have solved their problem(s) on their own and refrained from sharing their experience here.

alfa24
Senior Boarder
Posts: 1092
Joined: Fri Nov 24, 2017 8:45 am
Version: forma.lms 1.4.2

Re: VERY DIFFICULT TO INSTALL AND CONFIGURE

Post by alfa24 »

Sorry, I meant some Millions.
Hire a lamp system administrator instead of experimenting.
I'm Jasmines, the One. If you need, you can contact me.

samela
Newbie
Posts: 1
Joined: Wed Dec 09, 2020 8:17 am

Re: VERY DIFFICULT TO INSTALL AND CONFIGURE

Post by samela »

Newbie here,
but a couple of quick thoughts came to me reading this posting...
1. people commenting on problems / errors should define these in their first posting if wanting advice
2. replies unhelpful seem unfortunate to me

Also, well commented hakangur

I hope I am not out of order with my comment.

User avatar
alberto
FormaLms Guru
Posts: 1010
Joined: Fri Mar 02, 2012 9:18 am
Contact:

Re: VERY DIFFICULT TO INSTALL AND CONFIGURE

Post by alberto »

hakangur wrote:
Thu Dec 17, 2020 8:06 pm
I agree entirely with franco. As I have already mentioned in several posts in this forum, installation procedure needs to be clarified and where to upload the config file is one of the issues.
Ok, we just added a note to the install procedure, step 4: https://docs.formalms.org/reference-gui ... ade-2.html
hakangur wrote:
Thu Dec 17, 2020 8:06 pm
There is no information about requirements (PHP version, required PHP plugins, etc.) on the download page for the free version.
Requirements are described in the official documentation: https://docs.formalms.org/reference-gui ... ments.html
--------------------------------------------------
Become a CONTRIBUTOR

Support the project for FREE!
www.Elearnit.net

User avatar
alberto
FormaLms Guru
Posts: 1010
Joined: Fri Mar 02, 2012 9:18 am
Contact:

Re: VERY DIFFICULT TO INSTALL AND CONFIGURE

Post by alberto »

franco wrote:
Thu Dec 17, 2020 2:43 pm

i was asked to used php version 7.0 that php version 7.3 is not supported but i finally used php7.3.8 and now working.
PHP versions higher than 7.0 are not fully supported, you might encounter issue in some points of the application
--------------------------------------------------
Become a CONTRIBUTOR

Support the project for FREE!
www.Elearnit.net

Post Reply